export declare function ParseJSONRaw(value: unknown): [JSONRaw, Error | null];
export declare class JSONRaw {
    #private;
    constructor(raw?: string);
    static parse(value: unknown): JSONRaw;
    toString(): string;
    String(): string;
    MarshalJSON(): string;
    UnmarshalJSON(raw: Uint8Array | string | null | undefined): Error | null;
    Value(): string | null;
    toJSON(): unknown;
    valueOf(): string;
    Scan(value: unknown): Error | null;
    scan(value: unknown): void;
}
